--- a/codesys-ide/install2.sh
+++ b/codesys-ide/install2.sh
@@ -24,7 +24,7 @@
 ################################################################################
 
 WINE=wine-development
-CDS_LINK="https://store.codesys.com/ftp_download/3S/CODESYS/300000/3.5.15.0/CODESYS%203.5.15.0.exe"
+CDS_LINK="https://store.codesys.com/ftp_download/3S/CODESYS/300000/3.5.16.0/CODESYS%203.5.16.0.exe"
 TRICKS_LINK="https://raw.githubusercontent.com/Winetricks/winetricks/master/src/winetricks"
 ADDITIONAL_PACKAGES=https://forge.codesys.com/svn/tol,cforge,code/trunk/cforge.package
 export WINEPREFIX=~/.wine.cds
@@ -54,6 +54,13 @@
 	echo "=> OK"
     else
 	echo "ERROR: Please install wine32-development and wine64-development"
+	exit 1
+    fi
+    echo -n "Checking prerequisite 'msiextract'"
+    if which msiextract; then
+	echo "=> OK"
+    else
+	echo "ERROR: Please install msitools"
 	exit 1
     fi
 }